import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterOutlet } from '@angular/router';
import { ChatAssistant } from '../modules/shared/chat-assistant/chat-assistant';
import { ChatService } from '../modules/shared/chat-assistant/chat.service';
import '@fortawesome/fontawesome-free/css/all.min.css';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [CommonModule, RouterOutlet, ChatAssistant],
  template: `
    <router-outlet></router-outlet>
    <app-chat-assistant *ngIf="chatService.isChatVisible$ | async"></app-chat-assistant>
  `,
  styleUrl: './app.scss'
})
export class App {
  constructor(public chatService: ChatService) {}
  protected title = '赣鄱文化云';
}